Page MenuHomePhabricator

Consolidate the Communities subpage of the product development process
Closed, InvalidPublic

Description

Each WMF product development process audience has its own subpage. This task follows the progress consolidating /Communities until the {{draft}} template can be removed.

https://www.mediawiki.org/wiki/WMF_product_development_process/Communities

Note that subpages for audiences are expected to use labelled section transclusion in order to pull most of its content from the relevant sections of the subpages about stages (see the related discussion).

Related Objects

StatusAssignedTask
DuplicateNone
OpenNone
InvalidKeegan
DeclinedKeegan
ResolvedKeegan
DeclinedNone
ResolvedKeegan
DeclinedNone
ResolvedMoushira
ResolvedElitre
OpenNone
ResolvedQgil
ResolvedKeegan
ResolvedKeegan
ResolvedElitre
ResolvedMoushira
ResolvedQuiddity

Event Timeline

Qgil created this task.Feb 4 2016, 1:49 PM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Aklapper.
Keegan claimed this task.Feb 5 2016, 5:44 PM
Keegan set Security to None.
Keegan changed the task status from Open to Stalled.Feb 8 2016, 8:55 PM

Just need the content on the pages that we're transcluding, then all that should be needing done is to finish the section labeling and transclusion.

Keegan added a subscriber: Keegan.
Keegan changed the task status from Stalled to Open.Mar 3 2016, 11:09 PM

Work in progress.

Qgil added a comment.Apr 5 2016, 9:41 AM

What today is "the Communities subpage of the product development process" could be called or evolve into the "technical collaboration guideline" mentioned in the WMF Annual Plan FY2016-17. In any case, we are talking about the same.

@Qgil Should this task remain open if it's evolving into something else, or is being abandoned (for want of a better word)?

Qgil added a comment.Apr 18 2016, 7:28 PM

I think we can keep the task, but evolve it as the consolidation of https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline -- without hardcoded dependencies to the PDP.

I was considering to simply rename https://www.mediawiki.org/wiki/WMF_product_development_process/Communities, which we can still do if it is still considered a good starting point. That will depend on the PDP plans (i.e. will the current stages be kept)

Does this make sense?

I think we can keep the task, but evolve it as the consolidation of https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline -- without hardcoded dependencies to the PDP.
I was considering to simply rename https://www.mediawiki.org/wiki/WMF_product_development_process/Communities, which we can still do if it is still considered a good starting point. That will depend on the PDP plans (i.e. will the current stages be kept)
Does this make sense?

It does, thanks.

Keegan changed the task status from Open to Stalled.May 23 2016, 11:39 PM

This is on hold for further development as the PDP is rethought.

Keegan added a comment.Sep 1 2016, 4:51 PM

@Qgil I think we can close this as declined, invalid, no?

These pages on mw.org are not likely to be revived.

Qgil added a comment.Sep 2 2016, 8:31 AM

What about scanning the content of https://www.mediawiki.org/wiki/WMF_product_development_process/Communities, move anything interesting to the Technical Collaboration Guideline and then set a redirect from that page to https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline ?

Keegan closed this task as Invalid.Jan 17 2017, 7:46 PM

What about scanning the content of https://www.mediawiki.org/wiki/WMF_product_development_process/Communities, move anything interesting to the Technical Collaboration Guideline and then set a redirect from that page to https://www.mediawiki.org/wiki/Technical_Collaboration_Guideline ?

I read it over. The relevant points are built into their respective place in the TCG already, I believe. Most of the text, while great in theory, is a really top-heavy process. Things like the checklists aren't really going to work. But, as mentioned, many points in the checklists have been converted into the "haves" of the TCG.

If we don't believe in that page anymore, then the best thing is to convert it in a redirect to the TCG, don't you think?